Debian Bug report logs - #386214
manpages-dev: clog10 logarithm formula shown

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Kevin Ryde <user42@zip.com.au>

Date: Wed, 6 Sep 2006 01:03:15 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/2.39-1

Fixed in version manpages/2.41-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#386214; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Kevin Ryde <user42@zip.com.au>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kevin Ryde <user42@zip.com.au>
To: submit@bugs.debian.org
Subject: manpages-dev: clog10 logarithm formula shown
Date: Wed, 06 Sep 2006 10:42:38 +1000
Package: manpages-dev
Version: 2.39-1
Severity: normal
File: /usr/share/man/man3/clog10.3.gz

The clog10 man page shows the function as

	log10(cabs(z))+I*carg(z)

but I think there should be a factor 1/log(10) in there

	log10(cabs(z))+I*carg(z)/log(10)

ie. clog10(z) = clog(z)/log(10).


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i586)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.15-1-486
Locale: LANG=en_AU, LC_CTYPE=en_AU (charmap=ISO-8859-1)

Versions of packages manpages-dev depends on:
ii  manpages                      2.39-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#386214; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 386214@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Kevin Ryde <user42@zip.com.au>, 386214@bugs.debian.org
Cc: Andries.Brouwer@cwi.nl, control@bugs.debian.org
Subject: Re: Bug#386214: manpages-dev: clog10 logarithm formula shown
Date: Wed, 06 Sep 2006 14:50:36 +0200
tags 386214 fixed-upstream
thanks

Kevin,

> Package: manpages-dev
> Version: 2.39-1
> Severity: normal
> File: /usr/share/man/man3/clog10.3.gz
> 
> The clog10 man page shows the function as
> 
> 	log10(cabs(z))+I*carg(z)
> 
> but I think there should be a factor 1/log(10) in there
> 
> 	log10(cabs(z))+I*carg(z)/log(10)
> 
> ie. clog10(z) = clog(z)/log(10).

Tnhanks for your report.  Andries confirms you are correct,
and I've amended the man page for 2.41; see below.

Cheers,

Michael

CLOG10(3)           complex math routines           CLOG10(3)



NAME
       clog10, clog10f, clog10l - base-10 logarithm of a com-
       plex number

SYNOPSIS
       #define _GNU_SOURCE
       #include <complex.h>

       double complex clog10(double complex z);
       float complex clog10f(float complex z);
       long double complex clog10l(long double complex z);

       Link with -lm.

DESCRIPTION
       The call clog10(z) is equvalent to  clog10(z)/log(10).
       The  other  functions  perform the same task for float
       and long double.

       Note that z close to zero will cause an overflow.

CONFORMING TO
       This function is a GNU extension.  It is reserved  for
       future use in C99.

SEE ALSO
       cabs(3), cexp(3), clog(3), clog2(3), complex(7)



                          2002-07-28                CLOG10(3)
-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#386214; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #17 received at submit@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Kevin Ryde <user42@zip.com.au>, 386214@bugs.debian.org, submit@bugs.debian.org
Subject: Re: Bug#386214: manpages-dev: clog10 logarithm formula shown
Date: Wed, 06 Sep 2006 15:52:12 +0200
> Package: manpages-dev
> Version: 2.39-1
> Severity: normal
> File: /usr/share/man/man3/clog10.3.gz
> 
> The clog10 man page shows the function as
> 
> 	log10(cabs(z))+I*carg(z)
> 
> but I think there should be a factor 1/log(10) in there
> 
> 	log10(cabs(z))+I*carg(z)/log(10)
> 
> ie. clog10(z) = clog(z)/log(10).

Kevin,

Does the clog2() man page have the same problem?

Cheers,

Michael
-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#386214; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#386214; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Andries Brouwer <Andries.Brouwer@cwi.nl>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #27 received at 386214@bugs.debian.org (full text, mbox):

From: Andries Brouwer <Andries.Brouwer@cwi.nl>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: Kevin Ryde <user42@zip.com.au>, 386214@bugs.debian.org, Andries.Brouwer@cwi.nl, control@bugs.debian.org
Subject: Re: Bug#386214: manpages-dev: clog10 logarithm formula shown
Date: Wed, 6 Sep 2006 17:33:04 +0200
On Wed, Sep 06, 2006 at 02:50:36PM +0200, Michael Kerrisk wrote:
> tags 386214 fixed-upstream
> thanks
> 
> Kevin,

> DESCRIPTION
>        The call clog10(z) is equvalent to  clog10(z)/log(10).

"Is equivalent to clog(z)/log(10)"

Andries



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#386214; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Kevin Ryde <user42@zip.com.au>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #32 received at 386214@bugs.debian.org (full text, mbox):

From: Kevin Ryde <user42@zip.com.au>
To: "Michael Kerrisk" <mtk-manpages@gmx.net>
Cc: 386214@bugs.debian.org
Subject: Re: Bug#386214: manpages-dev: clog10 logarithm formula shown
Date: Thu, 07 Sep 2006 07:55:43 +1000
[Message part 1 (text/plain, inline)]
"Michael Kerrisk" <mtk-manpages@gmx.net> writes:
>
> Does the clog2() man page have the same problem?

Yes I think so.

Does that function exist in the library at the moment though?  Trying

	gcc clog2.c -lm

on the file below gives

	/tmp/ccHc7oB9.o: In function `main':
	clog2.c:(.text+0x31): undefined reference to `clog2'
	collect2: ld returned 1 exit status

[clog2.c (text/x-csrc, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#386214; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #37 received at 386214@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Andries Brouwer <Andries.Brouwer@cwi.nl>
Cc: 386214@bugs.debian.org, user42@zip.com.au
Subject: Re: Bug#386214: manpages-dev: clog10 logarithm formula shown
Date: Thu, 07 Sep 2006 09:55:26 +0200
> On Wed, Sep 06, 2006 at 02:50:36PM +0200, Michael Kerrisk wrote:
> > tags 386214 fixed-upstream
> > thanks
> > 
> > Kevin,
> 
> > DESCRIPTION
> >        The call clog10(z) is equvalent to  clog10(z)/log(10).
> 
> "Is equivalent to clog(z)/log(10)"

Yep -- thanks -- I spotted it just after I sent the mail.

Cheers,

Michael
-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#386214; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #42 received at 386214@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Kevin Ryde <user42@zip.com.au>
Cc: 386214@bugs.debian.org, Andries.Brouwer@cwi.nl
Subject: Re: Bug#386214: manpages-dev: clog10 logarithm formula shown
Date: Thu, 07 Sep 2006 10:07:30 +0200
Hello Kevin,

> "Michael Kerrisk" <mtk-manpages@gmx.net> writes:
> >
> > Does the clog2() man page have the same problem?
> 
> Yes I think so.
>
> Does that function exist in the library at the moment though?  Trying
> 
> 	gcc clog2.c -lm
> 
> on the file below gives
> 
> 	/tmp/ccHc7oB9.o: In function `main':
> 	clog2.c:(.text+0x31): undefined reference to `clog2'
> 	collect2: ld returned 1 exit status

Yes, this function is still vapourware.  See the modified 
man page below, which will appear in 2.41.

Thanks

Michael


CLOG2(3)               complex math routines               CLOG2(3)



NAME
       clog2, clog2f, clog2l - base-2 logarithm of a complex number

SYNOPSIS
       #include <complex.h>

       double complex clog2(double complex z);
       float complex clog2f(float complex z);
       long double complex clog2l(long double complex z);

DESCRIPTION
       The call clog2(z) is equivalent to clog(z)/log(2).

       The other functions perform the same task for float and long
       double.

       Note that z close to zero will cause an overflow.

CONFORMING TO
       These function names are reserved for future use in C99.

AVAILABILITY
       Not yet in glibc, as at version 2.4.

SEE ALSO
       cabs(3), cexp(3), clog(3), clog10(3), complex(7)


-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kevin Ryde <user42@zip.com.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 386214-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 386214-close@bugs.debian.org
Subject: Bug#386214: fixed in manpages 2.41-1
Date: Mon, 12 Mar 2007 19:17:03 +0000
Source: manpages
Source-Version: 2.41-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.41-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.41-1_all.deb
manpages_2.41-1.diff.gz
  to pool/main/m/manpages/manpages_2.41-1.diff.gz
manpages_2.41-1.dsc
  to pool/main/m/manpages/manpages_2.41-1.dsc
manpages_2.41-1_all.deb
  to pool/main/m/manpages/manpages_2.41-1_all.deb
manpages_2.41.orig.tar.gz
  to pool/main/m/manpages/manpages_2.41.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386214@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Mar 2007 19:50:07 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.41-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 386087 386214 387551 391402
Changes: 
 manpages (2.41-1) unstable; urgency=low
 .
   * New upstream version
     . Fix broken text in clog2(3) and clog10(3) (closes: Bug#386214)
     . Fix return type in SYNOPSIS in mq_receive(3) (closes: Bug#387551)
     . Fix wording referring in qsort(2) (closes: Bug#391402)
     . Added some TZ examples to tzset(3) (closes: Bug#386087)
   * New priority optional (instead of standard) after ftpmaster haven't
     told the maintainer but only let the archive suite complain about
     override disparity.  Oh, how I just love this cooperation between
     Debian developers.
Files: 
 43fd1bda2e5acf7b810b8242727f25b4 584 doc - manpages_2.41-1.dsc
 254e0064c533c9147947b8b8a39a2a4f 1203032 doc - manpages_2.41.orig.tar.gz
 fd81e37380921c399c9ec3e8ede289dd 53196 doc - manpages_2.41-1.diff.gz
 226ccf5514f995642597a61054755c50 487610 doc important manpages_2.41-1_all.deb
 cfcf144ab16f5098003ef5af6d25c31b 1229962 doc optional manpages-dev_2.41-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF9aKwW5ql+IAeqTIRAnhOAJ9jUk0y7qv5xEaHjkOsv68Hj89CawCgsdJq
PG/cpY3n2wzYODsoih7AfHw=
=zTui
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 16:31:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:13:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.